[obsolète] Installation de Crème sous Windows
#1
Edit: ATTENTION ce PDF est obsolète (et le lien vers les sources ne pointe pas vers la version stable) ; lisez la suite du thread pour plus d'informations.
Edit2: L'installation sous Windows est désormais (Creme2.0+) traitée dans le tutoriel d'installation classique en même temps que l'installation sous Linux.

La version PDF de la documentation présente dans les sources de Crème et qui explique comment l'installer sous Windows est en PJ de ce message.


Pièces jointes
.pdf   installation_windows.pdf (Taille : 1.71 Mo / Téléchargements : 393)
  Répondre
#2
Bonjour à tous,

je me permet de vous écrire car je suis au bord du desespoir. Après avoir lu et suivi votre tutoriel pour windows attentivement, et après avoir débloqué plusieurs points de l'installation, j'en suis arrivé à un stade où je suis complètement désarmé face à ce qui m'arrive.

Mon problème a l'air courant mais toutes les solutions que j'ai essayé ne fonctionne pas. En effet, lorsque je tape la commande "python manage.py syncdb" j'obtiens le message "ImportError : Could not import creme.settings" (voir en PJ)

Quelqu'un pourrait-il m'aiguiller vers la solution ? De grâce...

En vous remerciant,
  Répondre
#3
Bonjour,

comme l'indique le début du document, ce tutoriel couvre l'installation de la version 1.1 de Creme ; il a été écrit il y a quelques années, et au vu du peu de demandes nous n'avons pas pris la peine d'en faire des versions plus récentes (la plupart des gens installant sous Linux ; l'installation y est clairement plus aisée). En revanche 2 de mes collègues travaillent sous Windows et Creme y est donc toujours parfaitement installable.

Les versions des logiciels qu'il vous a fait installer sont donc malheureusement obsolètes ; par exemple je vois que vous avez Python 2.6 et Django 1.3 (alors que la dernière version stable de Creme, qui est actuellement la version 1.6, demande Python 2.7 et Django1.8).

Le tutoriel vous a demandé de récupérer la version de développement de Creme, mais je vous conseillerai plutôt la version stable. Le lien est donné en bas de ce forum à "Installer CREME 1.X", et je vous le remets ici:
https://bitbucket.org/hybird/creme_crm-1.6

(Edit: le lien évolue évidemment quand la version stable change, donc référez vous au lien en bas)

Les différentes versions des logiciels sont indiquées dans le fichier 'creme/requirements.txt' des sources de Creme. Le tutoriel n'en parle pas car c'est apparu après, mais il serait intéressant d'utiliser les logiciels 'virtualenv' et 'pip' pour gérer ces dépendances et différentes versions de Django/Creme (pour faciliter les mises à jour).

Pour tout ce qui concerne la configuration (settings.py) et les commandes à lancer, vous pouvez vous référer au tutoriel Linux (actuellement: https://www.cremecrm.com/forum/showthread.php?tid=70) puisque celles-ci ont légèrement changé depuis, et que cette partie du tutoriel est valable quel que soit l'OS. De plus il y a aussi un tutoriel Linux pour faire tourner Creme avec Apache (ici: https://www.cremecrm.com/forum/showthread.php?tid=71) puisque le tutoriel Windows ne traite pas cet aspect (vous lancez Creme avec le serveur de développement, ce qui n'est pas acceptable en production).

Bon courage !
  Répondre
#4
Je vous remercie pour votre retour rapide !

En effet, je me disais qu'il y avait quelque chose que j'avais raté !

Je vais suivre vos recommandations en espérant que cela fonctionne et je reviendrai vers ce forum le cas échéant.

Encore merci d'avoir pris le temps de répondre car je commençais à désespérer.

Bien cordialement,
  Répondre
#5
Bonjour,
La version 1.8 est-elle installable sous windows ? Si oui pourriez-vous me donner la version des logiciels à utiliser svp ?
Merci d'avance pour votre aide.
Bien cordialement,
Lucie
  Répondre
#6
Bonjour,

Citation :La version 1.8 est-elle installable sous windows ?

Oui tout à fait.

Citation :Si oui pourriez-vous me donner la version des logiciels à utiliser svp ?

Pour les packages Python (et la configuration), je vous laisse suivre le tutoriel d'installation pour Linux puisqu'une fois votre virtual env installé la procédure reste la même. Reste donc donc les logiciels externes à Python à installer :
  • Python 2.7 (comme indiqué dans le fichier README). Attention à ne pas installer Python 3, cela ne fonctionnera pas avec Creme 1.8 .
  • Un serveur web compatible avec Python. Il y a le choix mais le grand classique reste Apache (version 2.4 actuellement). Comme indiqué dans le tutoriel vous pouvez aussi dans un premier temps utiliser le serveur de développement (inclus avec Django) avant de passer à un serveur de production comme Apache ou NginX.
  • Un serveur de base de données: MySQL (5.7 ou plus) ou PostGreSQL (9.5 ou plus) ; dans un premier temps vous pouvez aussi tester avec une base SQLite (rien besoin d'installer c'est fourni avec Python).
  • Redis ; ça fonctionne avec des versions anciennes (3.X) ou récentes (4.X +) donc cela ne devrait pas être un problème (préférez les versions plus récentes évidemment).
  • Java 1.4 ou plus (on peut techniquement s'en passer si on désactive la minification de JavaScript/CSS, mais ça ne devrait pas être une dépendance compliqué à installer).

Vous aurez aussi besoin d'un client Mercurial (sous Windows TortoiseHg est très bien) pour récupérer les sources de Creme (vous pouvez aussi récupérer les sources sous forme d'une archive ZIP, mais ça serait moins pratique pour mettre à jour plus tard).

À titre d'information Creme 2.0 devrait sortir début Janvier et utilisera Python 3.

Bon courage pour la suite !
  Répondre
#7
Bonjour,
Merci pour votre retour.
J'ai bien avancé sur l'install, mais je suis bloquée ....

Lorsque j'essaye d'exécuter les commandes suivantes :
Code :
python manage.py build_secret_key
python manage.py migrate
ou
python manage.py syncdb

J'ai le message suivant :
Code :
(CREME) D:\CRMCREME\ENVS\CREME\creme_crm>python manage.py build_secret_key
Traceback (most recent call last):
  File "manage.py", line 10, in <module>
    execute_from_command_line(sys.argv)
  File "D:\CRMCREME\ENVS\CREME\lib\site-packages\django\core\management\__init__.py", line 364, in execute_from_command_line
    utility.execute()
  File "D:\CRMCREME\ENVS\CREME\lib\site-packages\django\core\management\__init__.py", line 338, in execute
    django.setup()
  File "D:\CRMCREME\ENVS\CREME\lib\site-packages\django\__init__.py", line 27, in setup
    apps.populate(settings.INSTALLED_APPS)
  File "D:\CRMCREME\ENVS\CREME\creme_crm\creme\__init__.py", line 23, in _hooked_populate
    _original_populate(self, installed_apps)
  File "D:\CRMCREME\ENVS\CREME\lib\site-packages\django\apps\registry.py", line 85, in populate
    app_config = AppConfig.create(entry)
  File "D:\CRMCREME\ENVS\CREME\lib\site-packages\django\apps\config.py", line 94, in create
    module = import_module(entry)
  File "d:\crmcreme\python27\Lib\importlib\__init__.py", line 37, in import_module
    __import__(name)
  File "D:\CRMCREME\ENVS\CREME\creme_crm\creme\creme_core\__init__.py", line 64
    raise ImproperlyConfigured("{} must be of the form 'app_label.model_name'".format(model_setting)) from e
                                                                                                         ^
SyntaxError: invalid syntax

Auriez-vous une idée d'où peut venir le souci svp ?
Merci de votre aide.
Bien cordialement,
Lucie
  Répondre
#8
Citation :Auriez-vous une idée d'où peut venir le souci svp ?

La ligne qui provoque une erreur de syntaxe est visiblement du python 3 ("from e"), donc vous avez du récupérer les sources trunk (donc la future version 2.0) qui sont en python 3, et pas la version 1.8.
  Répondre
#9
Comme indiqué, j'ai utilisé la source
Code :
https://bitbucket.org/hybird/creme_crm
avec TortoiseHG ?
Cette url n'est pas la bonne ?
  Répondre
#10
Comme indiqué dans mon POST un peu au dessus, le PDF d'installation est obsolète et notamment il indique effectivement le lien vers trunk et pas la version stable. Je vais clairement l'indiquer car en effet il est aisé de se référer à ce PDF sans lire la suite.

Les sources de 1.8 sont ici : https://bitbucket.org/hybird/creme_crm-1.8
  Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)